import { jsxs as m, jsx as r } from "react/jsx-runtime";
/* empty css                            */
import { classNames as e } from "./index-classNames.js";
import { ComponentContainer as g } from "./index-ComponentContainer.js";
import { Icon as t, IconSize as l } from "./index-Icon.js";
import { IconNames as a } from "./index-IconNames.js";
import { Render as s } from "./index-Render.js";
import { Text as u, FontWeights as C } from "./index-Text.js";
import "react";
const z = (d) => {
  const {
    onClick: c,
    visible: h,
    text: p,
    format: f = "square",
    icons: o
  } = d;
  if (!h)
    return null;
  const n = (o == null ? void 0 : o[0]) ?? a.image, i = o == null ? void 0 : o[1];
  return m(g, {
    onClick: () => c && c(),
    className: e("PhotoPlaceholder-container", `format-${f}`),
    children: [r(s, {
      if: !i,
      children: r(t, {
        type: l.large,
        hasCircle: !0,
        color: "--n000",
        fillColor: "--p500",
        circleSize: 40,
        children: n
      })
    }), r(s, {
      if: !!i,
      children: m("div", {
        className: e("PhotoPlaceholder-multiple-icons-container"),
        children: [r(t, {
          type: l.large,
          color: "--n000",
          className: e("first-icon"),
          children: n
        }), r(t, {
          type: l.large,
          color: "--n000",
          className: e("second-icon"),
          children: i ?? a.media
        })]
      })
    }), r(u, {
      fontWeight: C.bold,
      color: "--p500",
      children: p ?? "add photo/s"
    })]
  });
};
export {
  z as PhotoPlaceholder
};
